<?xml version="1.0" encoding="UTF-8"?>
<definitions name="partnerWSDL" targetNamespace="http://j2ee.netbeans.org/wsdl/partnerWSDL"
	     xmlns="http://schemas.xmlsoap.org/wsdl/"
	     xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
	     xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:tns="http://j2ee.netbeans.org/wsdl/partnerWSDL" xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://xml.netbeans.org/schema/SynchronousSample">
  <types>
    <xsd:schema targetNamespace="http://j2ee.netbeans.org/wsdl/partnerWSDL" xmlns:ns1="http://xml.netbeans.org/schema/SynchronousSample">
      <xsd:import namespace="http://xml.netbeans.org/schema/SynchronousSample" schemaLocation="LoanApprovalExtended.xsd"/>
    </xsd:schema>
  </types>
  <message name="SSOCIAL_Request">
    <part name="dni" type="xsd:string"/>
  </message>
  <message name="SSOCIAL_Response">
    <part name="VidaLaboral" type="ns1:LinVidaLaboral"/>
  </message>

  <portType name="partnerWSDLPortType">
    <operation name="SSOCIAL_Operation">
      <input name="input1" message="tns:SSOCIAL_Request"/>
      <output name="output1" message="tns:SSOCIAL_Response"/>
    </operation>
  </portType>
  <binding name="partnerWSDLBinding" type="tns:partnerWSDLPortType">
    <soap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
    <operation name="SSOCIAL_Operation">
      <soap:operation/>
      <input name="input1">
	<soap:body use="literal" namespace="http://j2ee.netbeans.org/wsdl/partnerWSDL"/>
      </input>
      <output name="output1">
	<soap:body use="literal" namespace="http://j2ee.netbeans.org/wsdl/partnerWSDL"/>
      </output>
    </operation>
  </binding>
  <service name="partnerWSDLService">
    <port name="partnerWSDLPort" binding="tns:partnerWSDLBinding">
      <soap:address location="http://localhost:${HttpDefaultPort}/partnerWSDLService/partnerWSDLPort"/>
    </port>
  </service>
  <plnk:partnerLinkType name="partnerWSDL">
    <plnk:role name="partnerWSDLPortTypeRole" portType="tns:partnerWSDLPortType"/>
  </plnk:partnerLinkType>
</definitions>
